Bug 434990 - [PATCH] allow setup of DNS for static IP via text interface
[PATCH] allow setup of DNS for static IP via text interface
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 391501
  Show dependency treegraph
 
Reported: 2008-02-26 13:44 EST by Adam Stokes
Modified: 2010-10-22 18:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* DNS addresses could not be manually entered in either the GUI or text interfaces. This meant that no DNS could be specified if a static IP was used or if DHCP failed to retrieve DNS information. This updated version of system-config-network allows DNS addresses to be set in both graphical and text mode.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:54:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
provide a way to add DNS info (2.89 KB, patch)
2008-02-26 13:44 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-02-26 13:44:40 EST
Description of problem:
text interface does not allow DNS input if static ip's are defined or if dhcp
fails to retrieve DNS information.

Version-Release number of selected component (if applicable):
system-config-network-tui-1.3.99

How reproducible:
100%

Steps to Reproduce:
1. use /.unconfigured, or remove /etc/resolv.conf
2. run system-config-network-tui
3. attempt to configure nameservers
  
Actual results:
unable to setup DNS

Expected results:
setup dns

Additional info:
Comment 1 Adam Stokes 2008-02-26 13:44:40 EST
Created attachment 295977 [details]
provide a way to add DNS info
Comment 2 Phil Knirsch 2008-04-28 08:02:22 EDT
Nice fix, Adam!

Proposing for RHEL-5.3 but waiting for developer review with final ACK.

Read ya, Phil
Comment 3 RHEL Product and Program Management 2008-06-02 16:16:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Phil Knirsch 2008-06-13 08:48:09 EDT
This bug needs a review from the component owner before granting Devel ACK.

Thanks,

Read ya, Phil
Comment 5 Phil Knirsch 2008-06-19 11:23:16 EDT
Granting Devel ACK after review of the package maintainer

Thanks,

Read ya, Phil
Comment 10 Ruediger Landmann 2009-01-07 23:07:42 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the text interface did not allow manual input of DNS addresses. This meant that no DNS could be specified if a static IP was used or if DHCP failed to retrieve DNS information. This updated version of system-config-network allows DNS addresses to be set in text mode.
Comment 11 Ruediger Landmann 2009-01-08 01:46:29 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* the text interface did not allow manual input of DNS addresses. This meant that no DNS could be specified if a static IP was used or if DHCP failed to retrieve DNS information. This updated version of system-config-network allows DNS addresses to be set in text mode.+* DNS addresses could not be manually entered in either the GUI or text interfaces. This meant that no DNS could be specified if a static IP was used or if DHCP failed to retrieve DNS information. This updated version of system-config-network allows DNS addresses to be set in both graphical and text mode.
Comment 12 errata-xmlrpc 2009-01-20 16:54:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0193.html

Note You need to log in before you can comment on or make changes to this bug.